if not exists (select * FROM sys.sysobjects where id = object_id(N'dbo.BackupLog'))
    create table dbo.BackupLog
    (
        ID uniqueidentifier not null,
        BackupJobID uniqueidentifier not null constraint FK_BackupLog_BackupJob references dbo.BackupJob(ID),
        StartDate datetime not null constraint DF_BackupLog_StartDate default (getutcdate()),
        EndDate datetime null,
        Notes nvarchar(max) null,
        Success bit not null constraint DF_Backup_Log_Success default (0),
        Archived bit not null constraint DF_Backup_Log_Archived default (0),
        FileName nvarchar(max) null,
        DatabaseFileName nvarchar(max) null,
        constraint PK_BackupLog primary key clustered (ID asc)
    );